Edit

Items - Get Mirrored Catalog Definition

Returns the specified MirroredCatalog public definition.
This API supports long running operations (LRO).

Gets the public definition of the specified MirroredCatalog. The sensitivity label is not a part of the definition.

Permissions

The caller must have read and write permissions for the mirrored catalog.

Required Delegated Scopes

Item.ReadWrite.All

Limitations

To retrieve the definition of a mirrored catalog item protected by an encrypted sensitivity label, the caller must have sufficient usage rights to remove the label, as configured in Microsoft Purview.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/mirroredCatalogs/{mirroredCatalogId}/getDefinition?format={format}

URI Parameters

Name In Required Type Description
mirroredCatalogId
path True

string (uuid)

The MirroredCatalog ID.

workspaceId
path True

string (uuid)

The workspace ID.

format
query

string

The format of the Mirrored Catalog public definition.

Responses

Name Type Description
200 OK

MirroredCatalogDefinitionResponse

Request completed successfully.

202 Accepted

Request accepted. Retrieving the definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • OperationNotSupportedForItem - Operation not supported for requested item.

Examples

Get a MirroredCatalog public definition example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/mirroredCatalogs/5b218778-e7a5-4d73-8187-f10824047715/getDefinition

Sample response

{
  "definition": {
    "parts": [
      {
        "path": "MirroredCatalogDefinition.json",
        "payload": "eyIkc2NoZW1hIjoiaHR0cHM6Ly9kZXZlbG9wZXIubWljcm9zb2Z0LmNvbS9qc29uLXNjaGVtYXMvZmFicmljL2l0ZW0vbWlycm9yZWRDYXRhbG9nL2RlZmluaXRpb24vbWlycm9yZWRDYXRhbG9nRGVmaW5pdGlvbi8xLjAuMC9zY2hlbWEuanNvbiIsInByb3BlcnRpZXMiOnsic291cmNlIjp7InR5cGUiOiJEcmVtaW9JY2ViZXJnQ2F0YWxvZyIsInR5cGVQcm9wZXJ0aWVzIjp7ImNvbm5lY3Rpb25JZCI6IjRlYjZiNzY3LWU3ODYtNDVlZC1iN2NmLWQyNTAyM2U1MjIyMiIsInNjb3BlIjpbIkFjY291bnRpbmciLCJVUyJdfX0sIm1vdW50ZWRUYWJsZXMiOlt7InNvdXJjZSI6eyJ0eXBlUHJvcGVydGllcyI6eyJmdWxseVF1YWxpZmllZFNjb3BlIjpbIkFjY291bnRpbmciLCJVUyIsIlRheGVzIl0sInRhYmxlTmFtZSI6IlRheEluZm8ifX19LHsic291cmNlIjp7InR5cGVQcm9wZXJ0aWVzIjp7ImZ1bGx5UXVhbGlmaWVkU2NvcGUiOlsiQWNjb3VudGluZyIsIlVTIiwiUmVjZWl2YWJsZSJdLCJ0YWJsZU5hbWUiOiJJbnZvaWNlcyJ9fX1dfX0=",
        "payloadType": "InlineBase64"
      },
      {
        "path": ".platform",
        "payload": "eyIkc2NoZW1hIjoiaHR0cHM6Ly9kZXZlbG9wZXIubWljcm9zb2Z0LmNvbS9qc29uLXNjaGVtYXMvZmFicmljL2dpdEludGVncmF0aW9uL3BsYXRmb3JtUHJvcGVydGllcy8yLjAuMC9zY2hlbWEuanNvbiIsIm1ldGFkYXRhIjp7ImRpc3BsYXlOYW1lIjoid2FyZWhvdXNlX29wcyIsImRlc2NyaXB0aW9uIjoiTWlycm9yIHNlbGVjdGVkIG9wcyBzY2hlbWFzL3RhYmxlcyJ9LCJjb25maWciOnsidmVyc2lvbiI6IjIuMCIsImxvZ2ljYWxJZCI6IjViMjE4Nzc4LWU3YTUtNGQ3My04MTg3LWYxMDgyNDA0NzcxNSJ9fQ==",
        "payloadType": "InlineBase64"
      }
    ]
  }
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30

Definitions

Name Description
ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

MirroredCatalogDefinition

Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details.

MirroredCatalogDefinitionPart

Mirrored catalog definition part object.

MirroredCatalogDefinitionResponse

Mirrored catalog public definition response.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

MirroredCatalogDefinition

Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details.

Name Type Description
format

string

The format of the mirrored catalog definition.

parts

MirroredCatalogDefinitionPart[]

A list of definition parts.

MirroredCatalogDefinitionPart

Mirrored catalog definition part object.

Name Type Description
path

string

The mirrored catalog definition part path.

payload

string

The mirrored catalog definition part payload.

payloadType

PayloadType

The payload type.

MirroredCatalogDefinitionResponse

Mirrored catalog public definition response.

Name Type Description
definition

MirroredCatalogDefinition

Mirrored catalog public definition object. Refer to Mirrored Catalog definition article for more details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

Value Description
InlineBase64

Inline Base 64.